#include "mainwindow.h"
#include <QApplication>
#include <QScreen>
#include <QWidget>

int main(int argc, char *argv[])
{
    bool ran = false;
    int ret = 0;

    QApplication a(argc, argv);
    int plot_size = a.screens()[0]->size().width();
    QString block = QString::number(plot_size / 15);

    a.setStyleSheet(
        "QSpinBox { height: " + block.toUtf8() + ";"
            " background-color: yellow; }"
        "QDoubleSpinBox { height: " + block.toUtf8() + "; }"
    );

    do {
        MainWindow w(&a, plot_size, &ran);
        w.setAttribute(Qt::WA_QuitOnClose);
        w.show();
        ret = a.exec();
    } while (ret == RESTART_CODE);
    return ret;
}
